Subject: [quicwg/base-drafts] Erik Kline's Transport Comment 7 (#4519)

From: Lucas Pardue <[email-masked]>
Date: Tue, 05 Jan 2021 19:37:36 -0800

Erik Kline said:

> [ section 8.2.4 ]
> 
> * To be clear, this document is effectively saying that it takes no position
>   on the interpretation of any ICMP errors received?  Is it up to the
>   implementer to decide if "validated" (in as much as ICMP messages can be
>   validated) Admin Prohibited messages, for example, should constitute a
>   positive confirmation of path failure?  Or is there some very specific
>   stance that should be taken ("never trust that lyin' ICMP!")?

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4519

---

From: Martin Thomson <[email-masked]>
Date: Tue, 05 Jan 2021 19:53:23 -0800

I answered this via email.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4519#issuecomment-755061138

---

From: Erik Kline <[email-masked]>
Date: Tue, 05 Jan 2021 21:25:33 -0800

And that email answer made sense to me, thanks!

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4519#issuecomment-755086984

---

From: Lucas Pardue <[email-masked]>
Date: Fri, 08 Jan 2021 08:39:32 -0800

Joining the dots, Martin's email response said:

> I don't think we could reach consensus on a single policy for treatment of ICMP.  As you observe, some might regard ICMP as unreliable no matter the circumstances, others might trust but verify, and others might be happy to accept the signals without validation.  Support for RFC 4884 and larger packet samples might shift attitudes.
> 
> What I can say is that many implementations are not doing anything with ICMP, other than what the OS might automatically turn into socket errors.  That means that ICMP Unreachable can still have an effect in many stacks, but PTB doesn't enjoy the same privilege (at least to my knowledge, though I guess the OS could apply write size limits on its own, I don't know that any do).

My proposal is to close this issue with no action. 

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4519#issuecomment-756859784

---

From: Martin Thomson <[email-masked]>
Date: Mon, 11 Jan 2021 20:34:49 -0800

Closed #4519.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4519#event-4193944063